%define upstream_name    Mason
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Summary of differences between Mason 1 and
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Mason-2.15-missing_use.patch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Devel::GlobalDestruction)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Guard)
BuildRequires: perl(IPC::System::Simple)
BuildRequires: perl(JSON)
BuildRequires: perl(Log::Any) >= 0.80.0
BuildRequires: perl(Memoize)
BuildRequires: perl(Method::Signatures::Simple)
BuildRequires: perl(Moose) >= 1.150.0
BuildRequires: perl(MooseX::HasDefaults) >= 0.30.0
BuildRequires: perl(MooseX::StrictConstructor) >= 0.130.0
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Class::Most)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Mason is a powerful Perl-based templating system, designed to generate
dynamic content of all kinds.

Unlike many templating systems, Mason does not attempt to invent an
alternate, "easier" syntax for templates. It provides a set of syntax and
features specific to template creation, but underneath it is still clearly
and proudly recognizable as Perl.

Mason is most often used for generating web pages. It can handle web
requests directly via PSGI, or act as the view layer for a web framework
such as Catalyst or Dancer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p2 -b .missing_use

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/mason.pl
/usr/share/man/man1/mason.pl.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.200.0-2.mga3
+ Revision: 369508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 2.200.0-1.mga3
+ Revision: 298048
- update to 2.20

* Tue Jun 05 2012 jquelin <jquelin> 2.190.0-1.mga3
+ Revision: 255152
- update to 2.19

* Mon Apr 23 2012 jquelin <jquelin> 2.150.0-1.mga2
+ Revision: 233003
- add missing use in utils
- adding missing buildrequires:
- imported package perl-Mason

